package com.hzya.frame.plugin.lets.queryvo;

import com.hzya.frame.plugin.lets.entity.BdJobbasfilEntity;

/**
 * @Author：liuyang
 * @Package：com.hzya.frame.plugin.lets.queryvo
 * @Project：kangarooDataCenter
 * @name：ExtBdJobbasfilQueryVo
 * @Date：2023/11/8 11:00
 * @Filename：ExtBdJobbasfilQueryVo
 */
public class ExtBdJobbasfilQueryVo extends BdJobbasfilEntity {
    /**
     * 类型为店铺
     */
    private String typeShop;

    /**
     * 类型为品牌
     */
    private String typeBrand;

    /**
     * 类型为平台
     */
    private String typePlatform;

    /**
     * 类型为自定义档案映射
     */
    private String typeDiy;

    /**
     * 自定义档案映射名称
     */
    private String typeDiyName;

    /**
     * 需要过滤的店铺编码
     */
    private String filterCode;

    /**
     * 旺店通店铺名称
     */
    private String def7name;

    /**
     * 存货品牌名称
     */
    private String def6name;

    /**
     * 项目基本档案主键：类型为自定义档案映射
     */
    private String pk_jobbasfil;

    public String getTypeDiyName() {
        return typeDiyName;
    }

    public void setTypeDiyName(String typeDiyName) {
        this.typeDiyName = typeDiyName;
    }

    public String getPk_jobbasfil() {
        return pk_jobbasfil;
    }

    public void setPk_jobbasfil(String pk_jobbasfil) {
        this.pk_jobbasfil = pk_jobbasfil;
    }

    public String getTypeShop() {
        return typeShop;
    }

    public void setTypeShop(String typeShop) {
        this.typeShop = typeShop;
    }

    public String getTypeBrand() {
        return typeBrand;
    }

    public void setTypeBrand(String typeBrand) {
        this.typeBrand = typeBrand;
    }

    public String getTypePlatform() {
        return typePlatform;
    }

    public void setTypePlatform(String typePlatform) {
        this.typePlatform = typePlatform;
    }

    public String getTypeDiy() {
        return typeDiy;
    }

    public void setTypeDiy(String typeDiy) {
        this.typeDiy = typeDiy;
    }

    public String getFilterCode() {
        return filterCode;
    }

    public void setFilterCode(String filterCode) {
        this.filterCode = filterCode;
    }

    public String getDef7name() {
        return def7name;
    }

    public void setDef7name(String def7name) {
        this.def7name = def7name;
    }

    public String getDef6name() {
        return def6name;
    }

    public void setDef6name(String def6name) {
        this.def6name = def6name;
    }
}
